#!/usr/bin/perl -wT

use strict;

use Apache::LowCal::CalCron;

use constant VERSION => "1.0.1";
my ($appname) = $0 =~ m~([^/]+)$~;    # Strip path info off of $0

$ENV{'PATH'} = '/bin:/usr/bin:/usr/local/bin';
delete @ENV{qw(IFS CDPATH ENV BASH_ENV)};

my $evt_path = shift || show_usage();

fill_month($evt_path, @ARGV);

exit 0;


sub show_usage {
print <<EOT
usage:
  $appname eventdir month[ month...]

  $appname generates recurring event listings for the listed months
  within the specified event directory.

  Months are given in YYYYMM format (e.g., 200012 = December 2000) or as a
  nonnegative offset from the current month (e.g., if today is 1/1/2001, +1 =
  February, 2001).
EOT
;

exit 1;

}

